Security update for curl

SUSE Security Update: Security update for curl
Announcement ID: SUSE-SU-2014:0171-1
Rating: moderate
References: #858673
Affected Products:
  • SUSE Studio Onsite 1.3
  • SUSE Linux Enterprise Software Development Kit 11 SP2
  • SUSE Linux Enterprise Server 11 SP2 for VMware
  • SUSE Linux Enterprise Server 11 SP2
  • SUSE Linux Enterprise Desktop 11 SP2

  • An update that fixes one vulnerability is now available.

    Description:


    This update fixes the re-use of wrong HTTP NTLM connections
    in libcurl. (CVE-2014-0015)

    Security Issue reference:

    * CVE-2014-0015
    >

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Studio Onsite 1.3:
      zypper in -t patch slestso13-curl-8796
    • SUSE Linux Enterprise Software Development Kit 11 SP2:
      zypper in -t patch sdksp2-curl-8796
    • SUSE Linux Enterprise Server 11 SP2 for VMware:
      zypper in -t patch slessp2-curl-8796
    • SUSE Linux Enterprise Server 11 SP2:
      zypper in -t patch slessp2-curl-8796
    • SUSE Linux Enterprise Desktop 11 SP2:
      zypper in -t patch sledsp2-curl-8796

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Studio Onsite 1.3 (x86_64):
    • libcurl-devel-7.19.7-1.20.31.1
    • SUSE Linux Enterprise Software Development Kit 11 SP2 (i586 ia64 ppc64 s390x x86_64):
    • libcurl-devel-7.19.7-1.20.31.1
    • SUSE Linux Enterprise Server 11 SP2 for VMware (i586 x86_64):
    • curl-7.19.7-1.20.31.1
    • libcurl4-7.19.7-1.20.31.1
    • SUSE Linux Enterprise Server 11 SP2 for VMware (x86_64):
    • libcurl4-32bit-7.19.7-1.20.31.1
    • SUSE Linux Enterprise Server 11 SP2 (i586 ia64 ppc64 s390x x86_64):
    • curl-7.19.7-1.20.31.1
    • libcurl4-7.19.7-1.20.31.1
    • SUSE Linux Enterprise Server 11 SP2 (ppc64 s390x x86_64):
    • libcurl4-32bit-7.19.7-1.20.31.1
    • SUSE Linux Enterprise Server 11 SP2 (ia64):
    • libcurl4-x86-7.19.7-1.20.31.1
    • SUSE Linux Enterprise Desktop 11 SP2 (i586 x86_64):
    • curl-7.19.7-1.20.31.1
    • libcurl4-7.19.7-1.20.31.1
    • SUSE Linux Enterprise Desktop 11 SP2 (x86_64):
    • libcurl4-32bit-7.19.7-1.20.31.1

    References:

    • http://support.novell.com/security/cve/CVE-2014-0015.html
    • https://bugzilla.novell.com/858673
    • http://download.novell.com/patch/finder/?keywords=606b18dd1e3a0fbfccb8d264a48c81a4